bm::conditional< b > Struct Template Reference

ad-hoc conditional expressions More...

`#include <bmutil.h>`

Inheritance diagram for bm::conditional< b >:
[legend]

## Static Public Member Functions

static bool | test ()

## Detailed Description

template<bool b>
struct bm::conditional< b >

ad-hoc conditional expressions

Definition at line 112 of file bmutil.h.

## Member Function Documentation

## test()

template<bool b>

bool bm::conditional< b >::test | ( |  | ) |

inline static

Definition at line 114 of file bmutil.h.

Referenced by bm::sparse_vector_deserializer< SV >::deserialize_planes(), bm::sparse_vector_deserializer< SV >::deserialize_range(), bm::sparse_vector_deserializer< SV >::deserialize_sv(), bm::sparse_vector_scanner< SV, S_FACTOR >::find_eq(), bm::sparse_vector_deserializer< SV >::load_null_plane(), bm::sparse_vector_serializer< SV >::serialize(), bm::sparse_vector_find_first_mismatch(), and bm::sparse_vector_find_mismatch().

The documentation for this struct was generated from the following file:

- bmutil.h